AFSDBRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class AFSDBRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.AFSDBRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class AFSDBRecord
      extends Record

  AFS Data Base Record - maps a domain name to the name of an AFS cell database server.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Name` | `nameField`
    `protected int` | `u16Field`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFSDBRecord(Name name, int dclass, long ttl, int subtype, Name host)` Creates an AFSDB Record from the given data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getHost()` Gets the host providing service for the domain.
    `protected Name` | `getNameField()`
    `int` | `getSubtype()` Gets the subtype indicating the service provided by the host.
    `protected int` | `getU16Field()`

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### u16Field

          protected int u16Field

    - #### nameField

          protected Name nameField

  - ### Constructor Detail

    - #### AFSDBRecord

          public AFSDBRecord(Name name,
                     int dclass,
                     long ttl,
                     int subtype,
                     Name host)

      Creates an AFSDB Record from the given data.
      Parameters:
        `subtype` - Indicates the type of service provided by the host.
        `host` - The host providing the service.

  - ### Method Detail

    - #### getSubtype

          public int getSubtype()

      Gets the subtype indicating the service provided by the host.

    - #### getHost

          public Name getHost()

      Gets the host providing service for the domain.

    - #### getU16Field

          protected int getU16Field()

    - #### getNameField

          protected Name getNameField()